;
var logistics = new Vue({
       el:'#logistics',
       data:{
            showflag:false,
            orderId:'',
            dataList:[],
            logisticsInfoList:[],
            activeIndex:''
       },
       methods:{
          openpackage:function (info) {
              var _this = this;
              // if(info.routerList!=null){
                  _this.showflag= !_this.showflag;
                  info.showflag = _this.showflag
              // }

          },
       },
       mounted:function () {
              var _self = this;
              _self.orderId = CAIMEI.getUrlParam('orderId');
           OrderApi.seelogistics({orderId:_self.orderId},function (res) {
                  if(res.code==0){
                  console.log(res);
                     if(res.data.logisticsRecordList.length>0){
                            _self.dataList=res.data.logisticsRecordList;
                     }else {
                             _self.dataList=[]
                      }
                      if(res.data.logisticsInfoList.length>0){
                            _self.logisticsInfoList = res.data.logisticsInfoList;
                      }else {
                            _self.logisticsInfoList = []
                      }
                  }else {
                      CAIMEI.Alert(res.msg,'确定')
                  }
           });

       }

})
